{
  settings = {
    # data privacy
    "browser.contentblocking.category" = "strict";
    "browser.discovery.enabled" = false;
    "datareporting.healthreport.uploadEnabled" = false;
    "dom.security.https_only_mode" = true;
    # no autofill
    "extensions.formautofill.addresses.enabled" = false;
    "extensions.formautofill.creditCards.enabled" = false;
    # stop fonts
    "browser.display.use_document_fonts" = 0;
    # dont show about:config warning
    "browser.aboutConfig.showWarning" = false;
    # dont offer to save passwords
    "signon.rememberSignons" = false;
    # home page
    "browser.startup.homepage" = "chrome://browser/content/blanktab.html";
    # blank new tab
    "browser.newtabpage.enabled" = false;
    # compact density
    "browser.uidensity" = 1;
    # dont draw tabs in titlebar
    "browser.tabs.drawInTitlebar" = false;
    # autoscroll middleclick
    "general.autoScroll" = true;
    # dont paste on middlemouse
    "middlemouse.paste" = false;
    # userChrome
    "toolkit.legacyUserProfileCustomizations.stylesheets" = true;
    # menu bar
    "ui.key.menuAccessKeyFocuses" = false;
    # use kde file picker
    "widget.use-xdg-desktop-portal.file-picker" = 1;
    # sidebar at right
    "sidebar.position_start" = false;
    # disable pocket
    "extensions.pocket.enabled" = false;
    # browser links should be new tab
    "browser.link.open_newwindow.restriction" = 0;
    # allow custom search enginers
    "browser.urlbar.update2.engineAliasRefresh" = true;
    # force enable hardware accel
    "media.hardware-video-decoding.force-enabled" = true;
    # vaapi
    "media.ffmpeg.vaapi.enabled" = true;
    # downloads ask to save or open
    "browser.download.always_ask_before_handling_new_types" = true;
    # downloads always ask download location
    "browser.download.useDownloadDir" = false;
    # download to tmp dir, NOT Downloads (seriously Mozilla?)
    "browser.download.start_downloads_in_tmp_dir" = true;
    # widevine
    "browser.eme.ui.enabled" = false;
    "media.eme.enabled" = false;
    # media control keys
    "media.hardwaremediakeys.enabled" = false;
  };
  userChrome = ''
    /* Hide tab bar in FF Quantum */
    @-moz-document url(chrome://browser/content/browser.xul), url(chrome://browser/content/browser.xhtml) {
      #TabsToolbar {
        visibility: collapse !important;
        margin-bottom: 21px !important;
      }

      #sidebar-box[sidebarcommand="treestyletab_piro_sakura_ne_jp-sidebar-action"] #sidebar-header {
        visibility: collapse !important;
      }
    }
  '';
}
